%define name            logi.crypto
%define version         1.1.2
%define release         1jpp
%define section         free

Summary:        A Java library for using strong encryption in your Java programs
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Group:          Development/Java
License:        GPL
URL:            http://www.logi.org/
Source0:        http://www.logi.org/logi.crypto/archives/logi.crypto1.0.7.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
logi.crypto is a non-certified 100% pure java library for using strong
encryption in your java 1.1 programs. It includes tools for encryption
and authentication and a framework for general cryptographic protocols. 

It is distributed with full source-code, since no-one can be expected to
trust an encryption package without seeing the source. 

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c
unzip -qq src.zip

%build
%javac $(find . -type f -name *.java)
%jar cf %{name}-%{version}.jar $(find . -type f -name "*.class")

install -d -m 755 javadoc
%javadoc -d javadoc $(find . -type f -name "*.java")

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d $RPM_BUILD_ROOT%{_javadir}
install %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc README fingerprint
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.1.2-1jpp
- release
